PaidGoods

Set or change the payout address (needs a two-factor code; the merchant is emailed)

PUT
/v1/stores/{storeId}/crypto/wallets/{methodId}/payout-address

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
methodId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/stores/string/crypto/wallets/string/payout-address" \  -H "Content-Type: application/json" \  -d '{    "address": "string",    "totpCode": "string"  }'
{  "methodId": "a79e32ca-882c-452b-a096-350276aed28d",  "asset": "string",  "chain": "string",  "address": "string",  "setAt": "string",  "history": [    {      "address": "string",      "setAt": "string",      "replacedAt": "string"    }  ],  "twoFactorEnabled": true}